<template>
  <div id="user-profile">
    <v-app id="inspire">
      <v-card>
        <v-toolbar flat color="primary" dark>
          <v-toolbar-title>admin Pannel</v-toolbar-title>
        </v-toolbar>
        <v-tabs vertical>
          <v-tab>
            <v-icon left>mdi-account</v-icon>Mi Perfil
          </v-tab>
          <v-tab>
            <v-icon left>mdi-email</v-icon>Mis Mensajes
          </v-tab>
          <v-tab>
            <v-icon left>fas fa-circle-notch fa-spin</v-icon>Mi Historial de Productos
          </v-tab>
          <v-tab>
            <v-icon left>mdi-access-point</v-icon>Mis Transacciones
          </v-tab>
          <v-tab>
            <v-icon left>mdi-arrow-up-bold-box-outline</v-icon>Vender Un Producto
          </v-tab>

          <v-tab-item>
            <v-card flat>
              <v-card-text>
                <UserProfile :idActualUser="idActualUser" />
              </v-card-text>
            </v-card>
          </v-tab-item>
          <v-tab-item>
            <v-card flat>
              <v-card-text>
                <MessengerPage :idActualUser="idActualUser" />
              </v-card-text>
            </v-card>
          </v-tab-item>
          <v-tab-item>
            <v-card flat>
              <v-card-text>
                <MyProductsPage :idActualUser="idActualUser" v-if="hasShow" />
              </v-card-text>
            </v-card>
          </v-tab-item>
          <v-tab-item>
            <v-card flat>
              <v-card-text>
                <MyTransactions :idActualUser="idActualUser" />
              </v-card-text>
            </v-card>
          </v-tab-item>
          <v-tab-item>
            <v-card flat>
              <v-card-text>
                <FormProductPage :idActualUser="idActualUser" />
              </v-card-text>
            </v-card>
          </v-tab-item>
        </v-tabs>
      </v-card>
    </v-app>
  </div>
</template>

<script>
import UserProfile from '@/components/UserProfile/UserProfile.vue'
import MessengerPage from '@/components/Messenger/MessengerPage.vue'
import MyProductsPage from '@/components/MyProducts/MyProductsPage.vue'
import MyTransactions from '@/components/MyTransactions/MyTransactions.vue'
import FormProductPage from '@/components/AddProduct/FormProductPage.vue'

//import API from "@/API.js";

export default {
  name: 'UserPanelControlPage',
  components: {
    UserProfile,
    MessengerPage,
    MyProductsPage,
    MyTransactions,
    FormProductPage
  },
  props: {},
  data() {
    return {
      idActualUser: this.$route.params.idActualUser,
      hasShow: true
    }
  },
  mounted() {},

  methods: {}
}
</script>

//
<style>
/* #app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
#CategoriesConfigurationPage {
  width: 29%;
}
#ProductsManagementPage {
  width: 29%;
}

#dash-board {
  display: flex;

  justify-content: space-around;
} */
</style>
